Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.gui
Class FrameShower

    java.lang.Object
      escjava.gui.FrameShower

All Implemented Interfaces:
  java.lang.Runnable

public class FrameShower
extends java.lang.Object
implements java.lang.Runnable

The FrameShower is used to be sure that a Frame is shown through a call that is made on the Event thread. This is generally advised in order to avoid race conditions in the GUI painting itself. Use this class by calling the static method to queue a new instance of an object to be shown.

Field Summary
`private java.awt.Frame` | `frame`

Constructor Summary
`protected` | `FrameShower(java.awt.Frame frame)` Creates a FrameShower object holding the given Frame.

Method Summary
`void` | `run()` Called by the EventQueue as the task to be accomplished - it shows/makes visible the given frame.
`(package private) static void` | `show(java.awt.Frame frame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    private final java.awt.Frame frame

Constructor Detail

### FrameShower

    protected FrameShower(java.awt.Frame frame)

  Creates a FrameShower object holding the given Frame.

Method Detail

### run

    public void run()

  Called by the EventQueue as the task to be accomplished - it shows/makes visible the given frame.

  Specified by:
    `run` in interface `java.lang.Runnable`

### show

    static void show(java.awt.Frame frame)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage